summaryrefslogtreecommitdiff
path: root/dev-python/blurhash
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /dev-python/blurhash
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'dev-python/blurhash')
-rw-r--r--dev-python/blurhash/Manifest2
-rw-r--r--dev-python/blurhash/blurhash-1.1.4.ebuild26
-rw-r--r--dev-python/blurhash/blurhash-1.1.5.ebuild34
-rw-r--r--dev-python/blurhash/metadata.xml5
4 files changed, 67 insertions, 0 deletions
diff --git a/dev-python/blurhash/Manifest b/dev-python/blurhash/Manifest
new file mode 100644
index 000000000000..25d425747439
--- /dev/null
+++ b/dev-python/blurhash/Manifest
@@ -0,0 +1,2 @@
+DIST blurhash-1.1.4.tar.gz 4738 BLAKE2B a25804938443e140e6d5a649e52c9c07cc91bb914be81efc33887161113f80362fba0b6711f520063461c7d4645022e559a11ecffdfeac9521a86cb23d279510 SHA512 eacef78927a1299bec19f73709435b1be55797273888e7856bbfd46d2aa1afa02f54505c15b76dcd6bd15a6817da0171aa412570c33c7ad487bfe10940ef3fd6
+DIST blurhash-1.1.5.tar.gz 50859 BLAKE2B 3cf43786e586ba011687ae40a22711ec18c60c1a53df3e425649a90659d18e723c7e0d9c35b3f6ae5313dcdf007622a0e6ba009035c98c7c51e1e2363defbe95 SHA512 84fef618a5bbb6b91a6e63665938e5b9c03a453dc1bd637863e2ffe560685b29a7a720309ebedb85a51db5686f8e22f6f399aeaede22b6578016e1d0ec410e63
diff --git a/dev-python/blurhash/blurhash-1.1.4.ebuild b/dev-python/blurhash/blurhash-1.1.4.ebuild
new file mode 100644
index 000000000000..5637076c0e7b
--- /dev/null
+++ b/dev-python/blurhash/blurhash-1.1.4.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure-Python implementation of the blurhash algorithm"
+HOMEPAGE="
+ https://pypi.org/project/blurhash/
+ https://github.com/halcy/blurhash-python
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# no tests in v1.1.4 tarball
+distutils_enable_tests import-check
+
+src_prepare() {
+ distutils-r1_src_prepare
+ rm setup.cfg || die
+}
diff --git a/dev-python/blurhash/blurhash-1.1.5.ebuild b/dev-python/blurhash/blurhash-1.1.5.ebuild
new file mode 100644
index 000000000000..29cce9fdb2a8
--- /dev/null
+++ b/dev-python/blurhash/blurhash-1.1.5.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure-Python implementation of the blurhash algorithm"
+HOMEPAGE="
+ https://pypi.org/project/blurhash/
+ https://github.com/halcy/blurhash-python
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ test? (
+ dev-python/pillow[jpeg,${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ rm setup.cfg || die
+}
diff --git a/dev-python/blurhash/metadata.xml b/dev-python/blurhash/metadata.xml
new file mode 100644
index 000000000000..5f33304011d5
--- /dev/null
+++ b/dev-python/blurhash/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>